// Bishop Checking 
// 2019 FIU High School Competition
// Solution to Division 2 problem by KRI

import java.util.Scanner;

public class Bishops {
	int numBishops;
	final int boardSize = 8;
	int[] xval;
	int[] yval;
	int[] idval;
	boolean[][] board;

	// does this bishop share a diagonal with another bishop?
	boolean sharesDiagonal(int id, int x, int y) {
		// compare the absolute values of the differences between their
		// coordinates.
		for(int i=0; i < numBishops; i++) {
			if( i != id ) {
				if( Math.abs(x - xval[i]) == Math.abs(y - yval[i]))
					return true;
			}
		} // for
		return false;
	}
	
	void start() {
		Scanner in = new Scanner(System.in);
		numBishops = in.nextInt();
		
		board = new boolean[boardSize][boardSize];
		xval = new int[numBishops];
		yval = new int[numBishops];
		idval = new int[numBishops];
		
		// read the list of bishops
		for(int i=0; i < numBishops; i++) {
			int x = in.nextInt();
			int y = in.nextInt();
			
			// validate the coordinates **************
			if( x < 0 || x >= boardSize)
				System.out.println("Error in X coordinate!");
			if( y < 0 || y >= boardSize)
				System.out.println("Error in Y coordinate!");
			//****************************************
			
			board[x][y] = true;
			// store the bishop locations in arrays
			xval[i] = x;
			yval[i] = y;
			idval[i] = i;
		}
		
		// check each bishop to see if it can attack others
		boolean check = true;		
		for(int i=0; i < numBishops; i++) {
			if( sharesDiagonal(idval[i], xval[i], yval[i]))
				check = false;
		}
		if( check) 
			System.out.println("CORRECT");
		else 
			System.out.println("INCORRECT");
		
	} // start
		
	public static void main(String[] args) throws Exception {
		new Bishops().start();
	}

} // class
