import java.util.HashSet;
import java.util.Scanner;
import java.util.Set;

// Solution to the Heir's Dilemma problem (Kattis). 
// Tested in Kattis.
// ID:  heirsdilemma

public class Heirs {

	boolean testNumber( int value ) {
		Set<Integer> digits = new HashSet<>();
		int originalValue = value;
		
		for(int i=0; i < 6; i++) {
			int x = value % 10;
			if( x == 0 )
				return false;
			
			// is the value divisible by this digit?
			if( originalValue % x != 0)
				return false;
			
			// is the digit unique?
			if( digits.contains(x))
				return false;
			else
				digits.add(x);
			value /= 10;
		}
		return true;
	}
	
	void start() throws Exception {
		Scanner in = new Scanner(System.in);
		int first = in.nextInt();
		int last = in.nextInt();
		int count = 0;
		
		for( int i= first; i < last; i++) {
			if( testNumber(i) == true ) {
				//System.out.printf("%d\n", i);
				count++;
			}
		}
		
		System.out.println(count);
	} // start
		
	public static void main(String[] args) throws Exception {
		new Heirs().start();
	}
}
