import java.io.File;
import java.util.Scanner;
import java.util.Stack;

// Solution (by Kip Irvine) to the InfixToPostfix problem, 
// 2019 FIU High School programming competition, Division 2. 
// 
// Very important -- test cases must not have trailing spaces!

public class InfixToPostfix {

	void start() throws Exception {
		Scanner in = new Scanner(System.in);	
		//Scanner in = new Scanner(new File("infix.in.txt"));
		String operators = "+-*/";
		Stack<Character> opStack = new Stack<>();
		
		char[] input = in.nextLine().toCharArray();
		String output = "";
		
		int i = 0;
		while( i < input.length )  {
			char ch = input[i++];
			
			while( ch == ' ' && i < input.length) 
				ch = input[i++]; 
			
			//System.out.println("Reading: " + ch);

			if( ch == '(') {
				opStack.push(ch);
			}
			else if (ch == ')') {
				char op = ' ';
				while( !opStack.isEmpty() && op != '(') {
					op = opStack.pop();
					if( op != '(')
						output += " " + op;
				}
			}
			else if( operators.indexOf(ch) != -1 ) {  // is an operator 	
				opStack.push(ch);			
			}
			else { // must be an operand
				output += " " + ch;
			} // else
			
		} // while i...
		
		// clear the stack residue
		char op = ' ';
		while( !opStack.isEmpty() && op != '(') {
			op = opStack.pop();
			if( op != '(')
				output += " " + op;
		}
		
		System.out.println( output.trim() );
		
	}  // start
	
	
	public static void main(String[] args) throws Exception {
		new InfixToPostfix().start();
	}
}
