import java.io.File;
import java.util.HashMap;
import java.util.Map;
import java.util.Scanner;

public class Interpreter {
	Map<String,Integer> variables;
	
	boolean isNumber( String st ) {
		try {
			int n = Integer.parseInt(st);			
			return true;
		}
		catch(Exception e) { }
		return false;
	}

	int operateOn(int leftOp, String operator, int rightOp) {
		
		if( operator.equals("+"))
			return leftOp + rightOp; 
		else if( operator.equals("-"))
			return leftOp - rightOp;
		else if( operator.equals("*"))
			return leftOp * rightOp;
		else if( operator.equals("/"))
			return leftOp / rightOp;

		return 0;
	}
	
	void start() throws Exception {
		Scanner in = new Scanner(System.in);
		//Scanner in = new Scanner(new File("interpreter.in.txt"));
		
		// operand patterns:
		// "N = A", or "N = 20" 
		// "N = A + B",  or "N = 20 + B", or "N = A + 30", or "N = 20 + 30"
	
		variables = new HashMap<>();
		
		while( in.hasNextLine())  {
			String temp = in.nextLine();
			//System.out.println(temp);				// debug only
			String[] line = temp.split(" ");
			
			if( line[0].equals("Print")) {
				int val = variables.get( line[1] );
				System.out.printf( "%s = %d\n", line[1], val );
			}
			else if( line[0].equals("End")) { 
				break;
			}
			else {  // must be an assignment statement
				String equalSign = line[1];
				int leftOp = 0;;	// left operand
				
				if( isNumber(line[2]))  // left operand
					leftOp = Integer.parseInt( line[2] );
				else
					leftOp = variables.get(line[2]);
				//System.out.printf("...leftOp = %d\n", leftOp);
				
				int target = leftOp;
				
				// is there also an expression with an operator?
				if( line.length > 3) {
					String operator = line[3];
					int rightOp = 0;
					if( isNumber(line[4]))  // left hand operand
						rightOp = Integer.parseInt( line[4] );
					else
						rightOp = variables.get(line[4]);					
					//System.out.printf("...rightOp = %d\n", rightOp);
					
					target = operateOn(leftOp, operator, rightOp);
					//System.out.printf("...target = %d\n", target);
				}
				
				// store the result
				variables.put(line[0], target);		

			} // assignment statement
						
		}  // while
		
	}  // start
	
	public static void main(String[] args) throws Exception {
		new Interpreter().start();

	}

}
