// Miles to Km (uva 11780)

// Nice little DP solution that memoizes the conversions from i = 1 to 1000

import java.io.File;
import java.util.*;

public class MilesToKmDP {

	static int[] fib;
	static int[] dp;

	public static void main(String[] args) throws Exception {	
	
		fib = new int[18];
		dp = new int[ 1003 ];
	   fib[ 0 ] = 0;
	   fib[ 1 ] = 1;
	   for (int i=2; i<18; i++) 
	   	fib[i] = fib[i-1] + fib[i-2];

	   // precompute a table that contains all the conversions
	   // based on the fibonacci series. We only have to do this once
      for (int i=1; i<=1000; i++)
	   {
	        dp[ i ] = 0;
	        for (int j=0; j<16 && fib[j]<=i; j++)
	        {
	      	  double actual = 1.6 * i;
	      	  int currentBest = dp[i];
	      	  int candidate = fib[j+1] + dp[ i-fib[j] ];
	      	  
	      	  if( Math.abs( actual - candidate ) < Math.abs( actual - currentBest ) )
	      		  dp[i] = candidate;	      	  	      	  
	        }
	    }		
		
		Scanner in = new Scanner(System.in);		
		//Scanner in = new Scanner( new File("M.in.txt"));

		int count = in.nextInt();
		
		for(int i = 0; i < count; i++){
		
			int n = in.nextInt();
			System.out.printf("%.2f\n", Math.abs( 1.6 * n - dp[n] ));
		
		} // while		
		
	} // main

}
