import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Scanner;

/* Stacking Cups problem, Kattis (ID: cups)
 * Rocky Mountain Regional Contest, 2016. Solution accepted by Kattis.
 */

class Cup implements Comparable<Cup> {
	String color;
	int radius;

	public int compareTo( Cup rhs ) {
		return this.radius - rhs.radius;
	}
}// Cup

public class StackingCups  {
	
	public static void main(String[] args) {
		Scanner in = new Scanner(System.in);
		
		List<Cup> cupList = new ArrayList<>();
		int count = in.nextInt();
		in.nextLine();
		for(int i = 0; i < count; i++) {
			Cup c = new Cup();
			String line[] = in.nextLine().split(" ");

			if( line[0].charAt(0) <= '9')  { // radius is first
				c.radius = Integer.parseInt(line[0]) / 2;
				c.color = line[1];
			}
			else {	// color is first
				c.radius = Integer.parseInt(line[1]);
				c.color = line[0];
			}
			cupList.add(c);			
		} // for
			
		Collections.sort(cupList);
		
		for( Cup c : cupList) {
			//System.out.printf("%d %s\n", c.radius, c.color);
			System.out.printf("%s\n", c.color);
		}
		
	} // main

} // class
