// Solution by mpfeifer1
// This solution was tested in Kattis in March 2019.
// uses prefix sums

#include <iostream>
#include <vector>
using namespace std;

int inf = 1 << 30;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);

	// n = length
	// m = height of the cave
	
    int n, m;
    cin >> n >> m;

    vector<int> suml(m,0);
    vector<int> sumr(m,0);

    // Read the sizes of the obstacles
    for(int i = 0; i < n; i++) {
        int t;
        cin >> t;
        if(i % 2 == 0) {
            sumr[t-1]++;    // stalagmites (from the floor)
        }
        else {
            suml[m-t]++;	// cave height minus length of the stalagtite
        }
    }

    // Calculate prefix sums
    int sum = 0;
    for(int i = m-1; i >= 0; i--) {
        sum += sumr[i];
        sumr[i] = sum;
    }

    sum = 0;
    for(int i = 0; i < m; i++) {
        sum += suml[i];
        suml[i] = sum;
    }

    // Find minimum value
    int best = inf;
    int count = 0;
    for(int i = 0; i < m; i++) {
        if(suml[i] + sumr[i] < best) {
            best = suml[i] + sumr[i];
            count = 0;
        }
        if(suml[i] + sumr[i] == best) {			// count the number of shortest pillars
            count++;
        }
    }

    // Print answer
    cout << best << " " << count << endl;
}